# lmn-client

Ansible playbooks and roles to deploy Debian clients for LinuxMuster.

## Default tasks

* **Install/Update Debian**
* **Install KDE-Plasma Desktop**
* **Join domain**
* **Activate kerberos-support**
* **Mount homes from server**
* **Install printer**
  Installs local cups (printserver) and configures/installs all subscribed printers on login. Printers can be subscribed by user or by machine

## Following optional modules are available:

* [custom_roles](doc/custom_roles.md)
  Runs own ansible roles.
* [exam_mode](doc/exam_mode.md)
  Starts local firewall and removes local directories of exam users the day after.
* [localhome](doc/localhome.md)
  Sometimes a local home directory makes more sense than the home on a network share.
* [localproxy](doc/localproxy.md)
  Creates a http-proxy running in user context and authentication on parent with users krb5-ticket.
* [localuser](doc/localuser.md)
  Creates a local guest user with home on tmpfs.
* [misc_clonescreen](doc/misc_clonescreen.md)
  CloneScreen on presenter PCs
* [vm_support](doc/vm_support.md)
  VMs based on Qemu/KVM in school network.
* [vpn](doc/vpn.md)
  Provides VPN access to school network.
* [wlan](doc/wlan.md)
  Provides WLAN access via WPA Personal/Enterprise.

## Installation

Following possibilities:

* [Install client via PXE-Boot](doc/install_pxe.md)
* [Run playbook on existing client](doc/install_ontop.md)
* Install client via USB-Stick including ansible-playbook
